org.apache.sis.storage

## Class UnsupportedQueryException

- Object
- - Throwable
  - - Exception
    - - DataStoreException
      - - UnsupportedQueryException

- All Implemented Interfaces:
    Serializable, LocalizedException

      public class UnsupportedQueryException
      extends DataStoreException

  Thrown when a resources can not be filtered with a given query.
  Since:
    0.8
  See Also:
    Serialized Form

  Defined in the `sis-storage` module

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedQueryException()` Creates an exception with no cause and no details message.
    `UnsupportedQueryException(String message)` Creates an exception with the specified details message.
    `UnsupportedQueryException(String message, Throwable cause)` Creates an exception with the specified details message and cause.
    `UnsupportedQueryException(Throwable cause)` Creates an exception with the specified cause and no details message.

  - ### Method Summary

    - ### Methods inherited from class DataStoreException

      `getInternationalMessage, getLocalizedMessage, getMessage, initCause`

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedQueryException

          public UnsupportedQueryException()

      Creates an exception with no cause and no details message.

    - #### UnsupportedQueryException

          public UnsupportedQueryException(String message)

      Creates an exception with the specified details message.
      Parameters:
        `message` - the detail message.

    - #### UnsupportedQueryException

          public UnsupportedQueryException(Throwable cause)

      Creates an exception with the specified cause and no details message.
      Parameters:
        `cause` - the cause for this exception.

    - #### UnsupportedQueryException

          public UnsupportedQueryException(String message,
                                           Throwable cause)

      Creates an exception with the specified details message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - the cause for this exception.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.